UniqueFactory.UniqueRelationshipFactory (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.index

## Class UniqueFactory.UniqueRelationshipFactory

- java.lang.Object
- - org.neo4j.graphdb.index.UniqueFactory<Relationship>
  - - org.neo4j.graphdb.index.UniqueFactory.UniqueRelationshipFactory

- Enclosing class:
    UniqueFactory<T extends PropertyContainer>

      public abstract static class UniqueFactory.UniqueRelationshipFactory
      extends UniqueFactory<Relationship>

  Implementation of `UniqueFactory` for `Relationship`.
  Author:
    Tobias Lindaaker

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.neo4j.graphdb.index.UniqueFactory

      `UniqueFactory.UniqueEntity<T extends PropertyContainer>, UniqueFactory.UniqueNodeFactory, UniqueFactory.UniqueRelationshipFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UniqueFactory.UniqueRelationshipFactory(GraphDatabaseService graphdb, String index)` Create a new `UniqueFactory` for relationships.
    `UniqueFactory.UniqueRelationshipFactory(Index<Relationship> index)` Create a new `UniqueFactory` for relationships.

  - ### Method Summary

    - ### Methods inherited from class org.neo4j.graphdb.index.UniqueFactory

      `getOrCreate, getOrCreateWithOutcome`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UniqueFactory.UniqueRelationshipFactory

          public UniqueFactory.UniqueRelationshipFactory(Index<Relationship> index)

      Create a new `UniqueFactory` for relationships.
      Parameters:
        `index` - the index to store entities uniquely in.

    - #### UniqueFactory.UniqueRelationshipFactory

          public UniqueFactory.UniqueRelationshipFactory(GraphDatabaseService graphdb,
                                                 String index)

      Create a new `UniqueFactory` for relationships.
      Parameters:
        `graphdb` - the graph database to get the index from.
        `index` - the name of the index to store entities uniquely in.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.